<?php

defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {

// Background image setting
// logo image setting
$name = 'theme_brightbook/logo';
$title = get_string('logo','theme_brightbook');
$description = get_string('logodesc', 'theme_brightbook');
$setting = new admin_setting_configtext($name, $title, $description, '', PARAM_URL);
$settings->add($setting);

// Header background color setting
$name = 'theme_brightbook/headerbackgroundcolor';
$title = get_string('headerbackgroundcolor','theme_brightbook');
$description = get_string('headerbackgroundcolordesc', 'theme_brightbook');
$default = '#FFFFFF';
$previewconfig = NULL;
$setting = new admin_setting_configcolourpicker($name, $title, $description, $default, $previewconfig);
$settings->add($setting);

// Footer background color setting
$name = 'theme_brightbook/footbackgroundcolor';
$title = get_string('footbackgroundcolor','theme_brightbook');
$description = get_string('footbackgroundcolordesc', 'theme_brightbook');
$default = '#FAFAFA';
$previewconfig = NULL;
$setting = new admin_setting_configcolourpicker($name, $title, $description, $default, $previewconfig);
$settings->add($setting);


//Footer note setting
$name = 'theme_brightbook/footnote';
$title = get_string('footnote','theme_brightbook');
$description = get_string('footnotedesc', 'theme_brightbook');
$setting = new admin_setting_confightmleditor($name, $title, $description, '');
$settings->add($setting);

}